Content.makeFrontInterface(600, 500);

const var LevelMeterL = Content.getComponent("LevelMeterL");
const var LevelMeterR = Content.getComponent("LevelMeterR");
const var LevelMeterLock = Content.getComponent("LevelMeterLock");

const var Pan = Content.getComponent("Pan");

const var SimpleGain1 = Synth.getEffect("SimpleGain1");

//Decay Rate
const var DECAY_RATE = 0.93;

//Current Values
var curLevelL = 0.0;
var curLevelR = 0.0;

//Timer Callback
const var t = Engine.createTimerObject();
t.setTimerCallback(function()
{
//Synth Values
  var LevelL = SimpleGain1.getCurrentLevel(1);  
  var LevelR = SimpleGain1.getCurrentLevel(0);
  
//Peak Synth Values  
  var peakLevelL = Math.max(LevelL, LevelL);  
  var peakLevelR = Math.max(LevelR, LevelR);
  
  
//Kick Left  
//-----------------------------------------------------------------------------  
    {
    if (peakLevelL > curLevelL)
      {
        curLevelL = peakLevelL;
      }
    else
      {
        curLevelL *= DECAY_RATE;
      }
    }
    
//Kick Right  
//-----------------------------------------------------------------------------     
    {
    if (peakLevelR > curLevelR)
      {
        curLevelR = peakLevelR;
      }
    else
      {
        curLevelR *= DECAY_RATE;
      }
    }
    

  
//Decibel Conversion  
//-----------------------------------------------------------------------------   
  LevelL = Engine.getDecibelsForGainFactor(curLevelL);  
  LevelR = Engine.getDecibelsForGainFactor(curLevelR);
  
  
//Set Values  
//-------------------------------------------------------------------------------  
  LevelMeterL.setValue(LevelL);  
  LevelMeterR.setValue(LevelR);
  
});

t.startTimer(30);function onNoteOn()
{
	
}
 function onNoteOff()
{
	
}
 function onController()
{
	
}
 function onTimer()
{
	
}
 function onControl(number, value)
{
	
}
 